Skip to main content
GET
/
api
/
v1
/
auth
/
activity
Recent account activity
curl --request GET \
  --url https://api.hevn.finance/api/v1/auth/activity \
  --header 'Authorization: Bearer <token>'
{
  "notifications": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isOpened": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "content": {},
      "deviceName": "<string>",
      "ipAddress": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

List of notifications response.

notifications
NotificationResponse · object[]
required
total
integer
required